curl https://kliio.app/api/v1/tasks/task-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/tasks/task-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "task-uuid-...",
"name": "Design homepage mockup",
"description": null,
"status": "in_progress",
"estimated_hours": 8,
"billable": true,
"rate": 120,
"total_seconds": 10800,
"phase_id": "phase-uuid-...",
"project": { "id": "proj-uuid-...", "name": "Acme Rebrand" },
"created_at": "2025-03-20T09:00:00.000Z"
}
}
{
"error": "Task not found or access denied"
}
Tasks
Get Task
Retrieves a single task by ID.
GET
/
api
/
v1
/
tasks
/
{id}
curl https://kliio.app/api/v1/tasks/task-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/tasks/task-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "task-uuid-...",
"name": "Design homepage mockup",
"description": null,
"status": "in_progress",
"estimated_hours": 8,
"billable": true,
"rate": 120,
"total_seconds": 10800,
"phase_id": "phase-uuid-...",
"project": { "id": "proj-uuid-...", "name": "Acme Rebrand" },
"created_at": "2025-03-20T09:00:00.000Z"
}
}
{
"error": "Task not found or access denied"
}
Headers
string
required
Bearer YOUR_API_KEYPath Parameters
string
required
UUID of the task to retrieve.
Response
object
The task object, including an embedded
project.curl https://kliio.app/api/v1/tasks/task-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/tasks/task-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "task-uuid-...",
"name": "Design homepage mockup",
"description": null,
"status": "in_progress",
"estimated_hours": 8,
"billable": true,
"rate": 120,
"total_seconds": 10800,
"phase_id": "phase-uuid-...",
"project": { "id": "proj-uuid-...", "name": "Acme Rebrand" },
"created_at": "2025-03-20T09:00:00.000Z"
}
}
{
"error": "Task not found or access denied"
}

